<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("I")) { header("Location: ../../index.php"); exit; }

// Infusion Information
$inf_title = "Professional Download";
$inf_version = "0.3";
$inf_developer = "pirdani";
$inf_email = "pirdani@webmaster@lucky-garden-geithain.de";
$inf_web = "http://www.lucky-garden-geithain.de";
$inf_description = "Downloads mit Kategorien/Unterkategorien, Bewertungen, Kommentaren, User Uploads, Zugriffsschutz, Screen Shots, ...";
$inf_folder = "professional_download_panel";
$inf_admin = "admin/admin.php";
$inf_link_name = "Downloads";
$inf_link_url = "download.php";

$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "admin/admin.php"; // The admin panel filename if required.

$inf_newtables = 12; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Database Table information 

$inf_droptable[1] = "prodownloads";
$inf_droptable[2] = "prodownload_cats";
$inf_droptable[3] = "prodownloads_bewertungen";
$inf_droptable[4] = "prodownloads_kommentare";
$inf_droptable[5] = "prodownloads_lizenz";
$inf_droptable[6] = "prodownloads_settings";


$inf_newtable_[1] = "prodownloads (
  id int(10) NOT NULL auto_increment,
  cat int(10) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  beschreibung text NOT NULL,
  copyright varchar(255) NOT NULL default '',
  lizenz_id int(10) NOT NULL default '0',
  lizenz_okay char(1) NOT NULL default '',
  lizenz_packet char(1) NOT NULL default '',
  lizenz_url varchar(255) NOT NULL default '',
  down varchar(255) NOT NULL default '',
  bild varchar(255) NOT NULL default '',
  downloads int(10) NOT NULL default '0',
  user_id smallint(5) NOT NULL default '0',
  datestamp int(10) NOT NULL default '0',
  status char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "prodownload_cats (
  cat int(10) NOT NULL auto_increment,
  top_cat int(10) NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  beschreibung varchar(255) NOT NULL default '',
  PRIMARY KEY  (cat)
) TYPE=MyISAM;";

$inf_newtable_[3] = "prodownloads_bewertungen (
  did int(10) NOT NULL default '0',
  user_id smallint(6) NOT NULL default '0',
  vote_opt char(1) NOT NULL default '',
  PRIMARY KEY  (did,user_id)
) TYPE=MyISAM;";

$inf_newtable_[4] = "prodownloads_kommentare (
  id int(10) NOT NULL auto_increment,
  did int(10) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  text text NOT NULL,
  datestamp int(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable_[5] = "prodownloads_lizenz (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;";

$inf_newtable_[6] = "prodownloads_settings (
  id smallint(6) NOT NULL auto_increment,
  titel varchar(255) NOT NULL default 'Professional Download v0.3-beta',
  pmsystem char(2) NOT NULL default '0',
  neupm smallint(6) NOT NULL default '1',
  defektpm smallint(6) NOT NULL default '1',
  maxfilesize varchar(30) NOT NULL default '2097152',
  bild text NOT NULL,
  down text NOT NULL,
  downbereich char(3) NOT NULL default '250',
  uploadbereich char(3) NOT NULL default '251',
  uploadsaktivieren char(3) NOT NULL default '252',
  kommentare char(3) NOT NULL default '250',
  bewertungen char(3) NOT NULL default '250',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "prodownloads_settings VALUES (1, 'Professional Downloads v0.3-beta', '1', 1, 1, '2097152', 'jpg,jpeg,gif,png,psd,JPG,JPEG,GIF,PNG,PSD', 'zip,rar,tar,exe,ZIP,RAR,TAR,EXE', '250', '251', '252', '250', '250');";


?>
